%define githash 5131a4acaf0f5319dc581ad0a26498b749ffd1e6
%define gitversion v0.13.1beta
%define shorthash %(c=%{githash}; echo ${c:0:7})
%define srcname Hyprland
%define wlrootsrev fd0b0276c9ecc159549acff48b932b83ec3b4f12

Name:          	%{srcname}-git
Version:       	%{gitversion}.%{shorthash}
Release:       	25.git.%{shorthash}%{?dist}
Summary:       	Hyprland is a dynamic tiling Wayland compositor that doesn't sacrifice on its looks
License:       	BSD
URL:           	https://github.com/hyprwm/Hyprland
Source0:	%{url}/archive/%{githash}/%{srcname}-%{githash}.tar.gz
Source1:	https://gitlab.freedesktop.org/wlroots/wlroots/-/archive/%{wlrootsrev}/wlroots-%{wlrootsrev}.zip

Requires: libxcb
Requires: xcb-util
Requires: xcb-util-keysyms
Requires: xcb-proto
Requires: libXfixes
Requires: libX11
Requires: libXcomposite
Requires: xinput
Requires: libXrender
Requires: pixman
Requires: libwayland-server
Requires: xorg-x11-server-Xwayland
Requires: cairo
Requires: pango
Requires: polkit
Requires: glslang
Requires: libinput
Requires: libxkbcommon
Requires: pixman
Requires: xcb-util-renderutil
Requires: xcb-util-wm
Requires: libseat
Requires: vulkan-loader
Requires: vulkan-validation-layers

BuildRequires: git
BuildRequires: cmake
BuildRequires: meson
BuildRequires: gcc-c++
BuildRequires: libxcb-devel
BuildRequires: libX11-devel
BuildRequires: pixman-devel
BuildRequires: wayland-protocols-devel
BuildRequires: cairo-devel
BuildRequires: pango-devel
BuildRequires: wayland-devel
BuildRequires: libdrm-devel
BuildRequires: libxkbcommon-devel
BuildRequires: systemd-devel
BuildRequires: libseat-devel
BuildRequires: mesa-libEGL-devel
BuildRequires: libinput-devel
BuildRequires: xcb-util-wm-devel
BuildRequires: xcb-util-renderutil-devel
BuildRequires: xcb-util-errors
BuildRequires: xorg-x11-server-Xwayland-devel
BuildRequires: mesa-libgbm-devel
BuildRequires: glslang-devel

%description
%{summary}.

%prep
%autosetup -n %{srcname}-%{githash}
unzip %{SOURCE1}
rm -rf subprojects/wlroots
mv wlroots-%{wlrootsrev} subprojects/wlroots
#sed -i 's/1.21/1.20/' subprojects/wlroots/meson.build
#sed -i 's/2.4.112/2.4.110/' subprojects/wlroots/meson.build

%build
meson -Dprefix=%{_prefix} -Dbuildtype=release _build
ninja -C _build/

%install
export DESTDIR=%{buildroot}
ninja -C _build/ install

%files
%license LICENSE
%{_bindir}/Hyprland
%{_bindir}/hyprctl
%{_mandir}/man1/Hyprland*
%{_mandir}/man1/hyprctl*
%{_includedir}/wlr/backend.h
%{_includedir}/wlr/backend/drm.h
%{_includedir}/wlr/backend/headless.h
%{_includedir}/wlr/backend/interface.h
%{_includedir}/wlr/backend/libinput.h
%{_includedir}/wlr/backend/multi.h
%{_includedir}/wlr/backend/session.h
%{_includedir}/wlr/backend/wayland.h
%{_includedir}/wlr/backend/x11.h
%{_includedir}/wlr/config.h
%{_includedir}/wlr/interfaces/wlr_buffer.h
%{_includedir}/wlr/interfaces/wlr_keyboard.h
%{_includedir}/wlr/interfaces/wlr_output.h
%{_includedir}/wlr/interfaces/wlr_pointer.h
%{_includedir}/wlr/interfaces/wlr_switch.h
%{_includedir}/wlr/interfaces/wlr_tablet_pad.h
%{_includedir}/wlr/interfaces/wlr_tablet_tool.h
%{_includedir}/wlr/interfaces/wlr_touch.h
%{_includedir}/wlr/render/allocator.h
%{_includedir}/wlr/render/dmabuf.h
%{_includedir}/wlr/render/drm_format_set.h
%{_includedir}/wlr/render/egl.h
%{_includedir}/wlr/render/gles2.h
%{_includedir}/wlr/render/interface.h
%{_includedir}/wlr/render/pixman.h
%{_includedir}/wlr/render/wlr_renderer.h
%{_includedir}/wlr/render/wlr_texture.h
%{_includedir}/wlr/types/wlr_buffer.h
%{_includedir}/wlr/types/wlr_compositor.h
%{_includedir}/wlr/types/wlr_cursor.h
%{_includedir}/wlr/types/wlr_damage_ring.h
%{_includedir}/wlr/types/wlr_data_control_v1.h
%{_includedir}/wlr/types/wlr_data_device.h
%{_includedir}/wlr/types/wlr_drm.h
%{_includedir}/wlr/types/wlr_drm_lease_v1.h
%{_includedir}/wlr/types/wlr_export_dmabuf_v1.h
%{_includedir}/wlr/types/wlr_foreign_toplevel_management_v1.h
%{_includedir}/wlr/types/wlr_fullscreen_shell_v1.h
%{_includedir}/wlr/types/wlr_gamma_control_v1.h
%{_includedir}/wlr/types/wlr_idle.h
%{_includedir}/wlr/types/wlr_idle_inhibit_v1.h
%{_includedir}/wlr/types/wlr_input_device.h
%{_includedir}/wlr/types/wlr_input_inhibitor.h
%{_includedir}/wlr/types/wlr_input_method_v2.h
%{_includedir}/wlr/types/wlr_keyboard.h
%{_includedir}/wlr/types/wlr_keyboard_group.h
%{_includedir}/wlr/types/wlr_keyboard_shortcuts_inhibit_v1.h
%{_includedir}/wlr/types/wlr_layer_shell_v1.h
%{_includedir}/wlr/types/wlr_linux_dmabuf_v1.h
%{_includedir}/wlr/types/wlr_matrix.h
%{_includedir}/wlr/types/wlr_output.h
%{_includedir}/wlr/types/wlr_output_damage.h
%{_includedir}/wlr/types/wlr_output_layout.h
%{_includedir}/wlr/types/wlr_output_management_v1.h
%{_includedir}/wlr/types/wlr_output_power_management_v1.h
%{_includedir}/wlr/types/wlr_pointer.h
%{_includedir}/wlr/types/wlr_pointer_constraints_v1.h
%{_includedir}/wlr/types/wlr_pointer_gestures_v1.h
%{_includedir}/wlr/types/wlr_presentation_time.h
%{_includedir}/wlr/types/wlr_primary_selection.h
%{_includedir}/wlr/types/wlr_primary_selection_v1.h
%{_includedir}/wlr/types/wlr_region.h
%{_includedir}/wlr/types/wlr_relative_pointer_v1.h
%{_includedir}/wlr/types/wlr_scene.h
%{_includedir}/wlr/types/wlr_screencopy_v1.h
%{_includedir}/wlr/types/wlr_seat.h
%{_includedir}/wlr/types/wlr_server_decoration.h
%{_includedir}/wlr/types/wlr_session_lock_v1.h
%{_includedir}/wlr/types/wlr_single_pixel_buffer_v1.h
%{_includedir}/wlr/types/wlr_subcompositor.h
%{_includedir}/wlr/types/wlr_surface.h
%{_includedir}/wlr/types/wlr_switch.h
%{_includedir}/wlr/types/wlr_tablet_pad.h
%{_includedir}/wlr/types/wlr_tablet_tool.h
%{_includedir}/wlr/types/wlr_tablet_v2.h
%{_includedir}/wlr/types/wlr_text_input_v3.h
%{_includedir}/wlr/types/wlr_touch.h
%{_includedir}/wlr/types/wlr_viewporter.h
%{_includedir}/wlr/types/wlr_virtual_keyboard_v1.h
%{_includedir}/wlr/types/wlr_virtual_pointer_v1.h
%{_includedir}/wlr/types/wlr_xcursor_manager.h
%{_includedir}/wlr/types/wlr_xdg_activation_v1.h
%{_includedir}/wlr/types/wlr_xdg_decoration_v1.h
%{_includedir}/wlr/types/wlr_xdg_foreign_registry.h
%{_includedir}/wlr/types/wlr_xdg_foreign_v1.h
%{_includedir}/wlr/types/wlr_xdg_foreign_v2.h
%{_includedir}/wlr/types/wlr_xdg_output_v1.h
%{_includedir}/wlr/types/wlr_xdg_shell.h
%{_includedir}/wlr/util/addon.h
%{_includedir}/wlr/util/box.h
%{_includedir}/wlr/util/edges.h
%{_includedir}/wlr/util/log.h
%{_includedir}/wlr/util/region.h
%{_includedir}/wlr/version.h
%{_includedir}/wlr/xcursor.h
%{_includedir}/wlr/xwayland.h
%{_libdir}/libwlroots.a
%{_libdir}/pkgconfig/wlroots.pc
%{_datadir}/hyprland/hyprland.conf
%{_datadir}/hyprland/wall_2K.png
%{_datadir}/hyprland/wall_4K.png
%{_datadir}/hyprland/wall_8K.png
%{_datadir}/wayland-sessions/hyprland.desktop

%changelog
* Sun Sep 18 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.13.1beta.5131a4a-25.git.5131a4a
- version bump (lukasz@dechnik.net)

* Wed Aug 31 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.12.1beta.1cf46fd-24.git.1cf46fd
- new files (lukasz@dechnik.net)

* Wed Aug 31 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.12.1beta.1cf46fd-23.git.1cf46fd
- version bump (lukasz@dechnik.net)

* Sun Aug 21 2022 Łukasz Dechnik <lukasz@dechnik.net> v0.10.3beta.c4ba117-22.git.c4ba117
- version bump (lukasz@dechnik.net)

* Sat Aug 20 2022 Łukasz Dechnik <lukasz@dechnik.net> v0.10.2beta.1b1a025-21.git.1b1a025
- bump (lukasz@dechnik.net)

* Thu Aug 18 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.10.2beta.f3c597b-20.git.f3c597b
- version bump (lukasz@dechnik.net)

* Tue Aug 16 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.10.1beta.d2011a4-19.git.d2011a4
- bump (lukasz@dechnik.net)

* Sun Aug 14 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.10.1beta.bfe0f84-18.git.bfe0f84
- added runtime deps (lukasz@dechnik.net)

* Sun Aug 14 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.10.1beta.bfe0f84-17.git.bfe0f84
- bump (lukasz@dechnik.net)

* Fri Aug 12 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.10.1beta.0e57651-16.git.0e57651
- version bump (lukasz@dechnik.net)

* Thu Aug 11 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.10.0beta.37442db-15.git.37442db
- bump (lukasz@dechnik.net)

* Wed Aug 10 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.10.0beta.f64f94c-14.git.f64f94c
- bump (lukasz@dechnik.net)

* Tue Aug 09 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.10.0beta.af9d34a-13.git.af9d34a
- version bump (lukasz@dechnik.net)

* Mon Aug 08 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.9.1beta.9532ff4-12.git.9532ff4
- bump (lukasz@dechnik.net)

* Sun Aug 07 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.9.1beta.9fcfaaa-11.git.9fcfaaa
- bump (lukasz@dechnik.net)

* Fri Aug 05 2022 Łukasz Dechnik <lukasz@dechnik.net> v0.9.1beta.97e82fa-10.git.97e82fa
- bump (lukasz@dechnik.net)

* Wed Aug 03 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.9.1beta.5dcbce5-9.git.5dcbce5
- bump (lukasz@dechnik.net)

* Wed Aug 03 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.9.1beta.d3c96c2-8.git.d3c96c2
- back to meson with release buildtype (lukasz@dechnik.net)

* Wed Aug 03 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.9.1beta.d3c96c2-7.git.d3c96c2
- build method change (lukasz@dechnik.net)

* Wed Aug 03 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.9.1beta.d3c96c2-6.git.d3c96c2
- version bump (lukasz@dechnik.net)

* Wed Aug 03 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.9.0beta.a71f411-5.git.a71f411
- more dependencies (lukasz@dechnik.net)

* Wed Aug 03 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.9.0beta.a71f411-4.git.a71f411
- meson build and files section (lukasz@dechnik.net)
- downgraded wlroots for testing (lukasz@dechnik.net)

* Wed Aug 03 2022 Lukasz Dechnik <lukasz@dechnik.net> v0.9.0beta.a71f411-3.git.a71f411
- added wlroots source (lukasz@dechnik.net)

